#define VER_D2_0 0

#define TYPE_NONE         0x00
#define TYPE_BUF          0x01
#define TYPE_STREAM       0x02
#define TYPE_BITMAP       0x10

#define ENCODE_NONE         0x0000
#define ENCODE_DIB          0x0020
#define ENCODE_DIB32XRGB8   0x0021
#define ENCODE_DIB24RGB8    0x0022
#define ENCODE_BMP          0x0030
#define ENCODE_BMP32XRGB8   0x0031
#define ENCODE_BMP24RGB8    0x0032

#define IID_D2IObject               0x00000000
#define IID_D2IStreamInterface      0x00000010
#define IID_D2IStreamReader         0x00000011
#define IID_D2IStreamWriter         0x00000012
#define IID_D2IStream               0x00000013
#define IID_D2IBufferReader         0x00000024
#define IID_D2IBufferWriter         0x00000025
#define IID_D2IBufferAdministrator  0x00000026
#define IID_D2IFixedBuffer          0x00000027 
#define IID_D2IBuffer               0x00000028
#define IID_D2IBitmapReader         0x00000030
#define IID_D2IBitmapWriter         0x00000031
#define IID_D2IBitmap               0x00000032
#define IID_D2IBitmap32XRGB8        0x00000033

#define CID_D2CFileReaderStream     0x00008010
#define CID_D2CFileWriterStream     0x00008011
#define CID_D2CFixedBuffer          0x00008020
#define CID_D2CBuffer               0x00008021
#define CID_D2CDIB32                0x00008030

#define BITMAPORIGIN_LEFTBOTTOM 0x00000000
#define BITMAPORIGIN_LEFTTOP    0x00000001
